using KarleyLibrary.Attributes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WK5.Core.Models
{
    public class KundenÜbersicht
    {
        [CompareField("KUND_A_NR")]
        public string KUNU_A_NR { get; set; }
        [CompareField("KUND_A_NAME1")]
        public string KUNU_A_NAME1 { get; set; }
        [CompareField("KUND_A_NAME2")]
        public string KUNU_A_NAME2 { get; set; }
        [CompareField("KUND_A_NAME3")]
        public string KUNU_A_NAME3 { get; set; }
        [CompareField("KUND_A_LAND")]
        public string KUNU_A_LAND { get; set; }
        [CompareField("KUND_A_PLZ")]
        public string KUNU_A_PLZ { get; set; }
        [CompareField("KUND_A_ORT")]
        public string KUNU_A_ORT { get; set; }
        [CompareField("KUND_A_STRASSE")]
        public string KUNU_A_STRASSE { get; set; }
        [CompareField("KUND_A_USTIDNR")]
        public string KUNU_A_USTIDNR { get; set; }
        [CompareField("KUND_L_SPERRE")]
        public bool KUNU_L_SPERRE { get; set; }
        [CompareField("OP")]
        public decimal KUNU_N_OFFENEPOSTEN { get; set; }
        [CompareField("KUND_A_TEL1")]
        public string KUNU_A_TEL1 { get; set; }
    }
}
